Eclipse Platform Release 3.7

## org.eclipse.update.core.model
Class PluginEntryModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ContentEntryModel
                  org.eclipse.update.core.model.PluginEntryModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  PluginEntry

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class PluginEntryModel

extends ContentEntryModel

Plug-in entry model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginEntry`

Field Summary

Fields inherited from class org.eclipse.update.core.model.ContentEntryModel
`UNKNOWN_SIZE`

Constructor Summary
`PluginEntryModel()` Deprecated. Creates a uninitialized plug-in entry model object.

Method Summary
`boolean` `equals(Object obj)` Deprecated. Compares two plug-in models for equality
`String` `getPluginIdentifier()` Deprecated. Returns the plug-in identifier for this entry.
`String` `getPluginVersion()` Deprecated. Returns the plug-in version for this entry.
`boolean` `isFragment()` Deprecated. Indicates whether the entry describes a full plug-in, or a plug-in fragment.
`void` `isFragment(boolean isFragment)` Deprecated. Indicates whether this entry represents a fragment or plug-in.
`boolean` `isUnpack()` Deprecated.
`void` `setPluginIdentifier(String pluginId)` Deprecated. Sets the entry plug-in identifier.
`void` `setPluginVersion(String pluginVersion)` Deprecated. Sets the entry plug-in version.
`void` `setUnpack(boolean unpack)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.eclipse.update.core.model.ContentEntryModel
`getDownloadSize, getInstallSize, getNL, getOS, getOSArch, getWS, setArch, setDownloadSize, setInstallSize, setNL, setOS, setWS`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginEntryModel

    public PluginEntryModel()

  Deprecated.
  Creates a uninitialized plug-in entry model object.

  Since:
    2.0

Method Detail

### equals

    public boolean equals(Object obj)

  Deprecated.
  Compares two plug-in models for equality

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - other model to compare to
  Returns:
    `true` if the models are equal, `false` otherwise
  Since:
    2.0

### getPluginIdentifier

    public String getPluginIdentifier()

  Deprecated.
  Returns the plug-in identifier for this entry.

  Returns:
    the plug-in identifier, or `null`
  Since:
    2.0

### getPluginVersion

    public String getPluginVersion()

  Deprecated.
  Returns the plug-in version for this entry.

  Returns:
    the plug-in version, or `null`
  Since:
    2.0

### isFragment

    public boolean isFragment()

  Deprecated.
  Indicates whether the entry describes a full plug-in, or a plug-in fragment.

  Returns:
    `true` if the entry is a plug-in fragment, `false` if the entry is a plug-in
  Since:
    2.0

### setPluginIdentifier

    public void setPluginIdentifier(String pluginId)

  Deprecated.
  Sets the entry plug-in identifier. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `pluginId` - the entry identifier.
  Since:
    2.0

### setPluginVersion

    public void setPluginVersion(String pluginVersion)

  Deprecated.
  Sets the entry plug-in version. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `pluginVersion` - the entry version.
  Since:
    2.0

### isFragment

    public void isFragment(boolean isFragment)

  Deprecated.
  Indicates whether this entry represents a fragment or plug-in. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `isFragment` - fragment setting
  Since:
    2.0

### isUnpack

    public boolean isUnpack()

  Deprecated.
  Returns:
    Indicates whether plugin should be unpacked during installation or can run from a jar
  Since:
    3.0

### setUnpack

    public void setUnpack(boolean unpack)

  Deprecated.
  Parameters:
    `unpack` - Sets whether plugin should be unpacked during installation or can run from a jar
  Since:
    3.0

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.